darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Index.Monad

Synopsis

- withPatchMods :: FileModMonad a -> Set AnchoredPath -> FileModState
- applyToFileMods :: (Apply p, ApplyState p ~ Tree) => p wX wY -> Set AnchoredPath -> FileModState
- data FileMod a
  - = PTouch a
  - | PCreateFile a
  - | PCreateDir a
  - | PRename a a
  - | PRemove a
  - | PDuplicateTouch a

# Documentation

withPatchMods :: FileModMonad a -> Set AnchoredPath -> FileModState #

applyToFileMods :: (Apply p, ApplyState p ~ Tree) => p wX wY -> Set AnchoredPath -> FileModState #

Apply a patch to set of `AnchoredPath`s, yielding the new set of `AnchoredPath`s and `FileMod`s

data FileMod a #

This is used to track changes to files

Constructors

PTouch a |
PCreateFile a |
PCreateDir a |
PRename a a |
PRemove a |
PDuplicateTouch a | this is used for duplicate patches that don't have any effect, but we still want to keep track of them

#### Instances

Instances details

Functor FileMod # |
Instance details Defined in Darcs.Patch.Index.Monad Methods fmap :: (a -> b) -> FileMod a -> FileMod b # (<$) :: a -> FileMod b -> FileMod a #
Show a => Show (FileMod a) # |
Instance details Defined in Darcs.Patch.Index.Monad Methods showsPrec :: Int -> FileMod a -> ShowS # show :: FileMod a -> String # showList :: [FileMod a] -> ShowS #
Eq a => Eq (FileMod a) # |
Instance details Defined in Darcs.Patch.Index.Monad Methods (==) :: FileMod a -> FileMod a -> Bool # (/=) :: FileMod a -> FileMod a -> Bool #